Bug 152166 - No way to type in path to executable when adding new mime types
No way to type in path to executable when adding new mime types
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Depends On:
  Show dependency treegraph
Reported: 2005-03-25 10:26 EST by Sean Carolan
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-06 23:34:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Carolan 2005-03-25 10:26:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
This is not a bug per se, but is extremely annoying for our sysadmins.  Here is an example of what happens:

*  User clicks on some new filetype and nautilus is not yet set up to handle that file.  Say for example it is a .m3u file and we want it to open in xmms.
*  User calls sysadmin for help, sysadmin uses the 'open with' button to try and link xmms to m3u files.
*  There *used* to be a box where you could simply type in "/usr/bin/xmms" but this has been replaced by an annoying file browser where one must pointy-clicky all the way into /usr/bin, then deal with the further annoyance of watching hundreds of programs populate the window while trying to scroll down and select xmms.  The frustration factor is compounded by the fact that the list is moving because of new items populating it so when sysadmin finds xmms it jumps down the list.


Please, for the love of god, bring back the text field where you can type the path to the executable.  Think of the poor sysadmins.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Browse web until you find a mime type that is not associated with any program.
2.  Clicky on linky
3.  Try to use frustrating interface to associate proper program with filetype

Actual Results:  Frustration

Expected Results:  Bliss

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:46:05 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-06 23:34:15 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.